# MATLAB routine and keyword names
import re

FNS1 = [
    'clibgen.generateLibraryDefinition','clibgen.buildInterface','containers.Map','event.hasListener','matlab.addons.isAddonEnabled',
    'matlab.apputil.package','matlab.addons.toolbox.installToolbox','matlab.engine.find_matlab','matlab.codetools.requiredFilesAndProducts',
    'matlab.addons.disableAddon','matlab.engine.start_matlab','matlab.addons.toolbox.packageToolbox','matlab.addons.install',
    'matlab.addons.uninstall','matlab.apputil.install','matlab.apputil.create','matlab.apputil.run','matlab.apputil.uninstall',
    'matlab.addons.toolbox.toolboxVersion','matlab.addons.enableAddon','matlab.engine.connect_matlab','matlab.engine.shareEngine',
    'matlab.addons.toolbox.uninstallToolbox','matlab.mock.InteractionHistory.forMock','matlab.lang.makeValidName',
    'matlab.lang.makeUniqueStrings','matlab.io.saveVariablesToScript','matlab.unittest.plugins.CodeCoveragePlugin.forPackage',
    'matlab.project.createProject','matlab.uitest.unlock','matlab.tall.movingWindow','matlab.net.http.StatusCode.fromValue',
    'matlab.unittest.plugins.CodeCoveragePlugin.forFile','matlab.tall.transform','matlab.unittest.plugins.TestReportPlugin.producingPDF',
    'matlab.unittest.plugins.TestReportPlugin.producingDOCX','matlab.unittest.plugins.CodeCoveragePlugin.forFolder',
    'matlab.perftest.TimeExperiment.limitingSamplingError','matlab.unittest.plugins.TAPPlugin.producingOriginalFormat',
    'matlab.unittest.plugins.TAPPlugin.producingVersion13','matlab.unittest.plugins.TestReportPlugin.producingHTML',
    'matlab.unittest.TestCase.forInteractiveUse','matlab.project.loadProject','matlab.unittest.parameters.Parameter.fromData',
    'matlab.tall.reduce','matlab.perftest.TimeExperiment.withFixedSampleSize','matlab.tall.blockMovingWindow',
    'matlab.net.http.CookieInfo.collectFromLog','matlab.unittest.TestSuite.fromPackage','matlab.wsdl.setWSDLToolPath',
    'matlab.wsdl.createWSDLClient','matlab.unittest.TestSuite.fromFile','matlab.unittest.TestSuite.fromName',
    'matlab.unittest.TestSuite.fromFolder','matlab.unittest.TestSuite.fromMethod','matlab.unittest.TestSuite.fromClass',
    'matlabshared.supportpkg.setSupportPackageRoot','mex.getCompilerConfigurations','MException.last','meta.package.fromName',
    'netcdf.open','Tiff.getTagNames','Tiff.getVersion','tsdata.event',]
FNS2 = [
    'errorbar','contour3','getdatasamplesize','convn','gzip','lt','ode23','append','addShutdownFile','atan',
    'actxGetRunningServer','run','scroll','structfun','isDone','jet','clearCache','isvarname','datestr','shiftdim',
    'codeCompatibilityReport','writematrix','timerfind','websave','texlabel','gather','setupTestMethod','setfield',
    'input','nearest','sheetnames','uint64','lag','perl','subplot','grouptransform','table2array','hasTemporaryValue',
    'issimplified','numedges','visdiff','deblank','isoutlier','xlsfinfo','dataTipTextRow','labelnode','rmboundary',
    'isstrprop','erfinv','hold','holes','diag','step','ipermute','getParameter','h5read','atan2','libpointer',
    'uigetfile','strcmp','addCause','table2cell','isreal','distances','endsWith','axis','complete','boundary',
    'strjust','ftp','fftshift','getvaropts','throw','centrality','histogram2','isdatetime','recycle','gt',
    'spline','splitEachLabel','stackedplot','hadamard','isevent','summary','bitcmp','uisetcolor','im2double',
    'int64','ascii','findCategory','pad','uiknob','unique','actxserver','setcats','idivide','fcontour','pcolor',
    'uibuttongroup','mustBeLessThanOrEqual','addmulti','movsum','textwrap','startMeasuring','deconv','featureEdges',
    'etime','prefdir','height','isinterior','exportsetupdlg','scatterhistogram','pink','times','createClassFromWsdl',
    'publish','polyder','griddata','getReport','besselh','detrend','nccreate','spring','isprime','integral3',
    'movevars','inputname','addcats','cmunique','cell2mat','system','bfsearch','transpose','criticalAlpha',
    'figure','writetable','listdlg','stopMeasuring','uigetpref','rgbplot','fullfile','inedges','groupsummary',
    'audiorecorder','contains','uiputfile','split','nearestNeighbor','contourf','iscalendarduration','load',
    'javaObject','numpartitions','numArgumentsFromSubscript','msgbox','isvector','rticklabels','ifft','removeShutdownFile',
    'fsurf','caldays','savepath','fopen','serial','thetaticks','analyzeCodeCompatibility','convhull','cartesianToBarycentric',
    'eventlisteners','indegree','path','matfile','del2','validatestring','javaObjectEDT','writecell','duration',
    'annotation','findFile','svd','flag','cospi','odeset','str2func','isundefined','rats','set','tril','mustBeNumericOrLogical',
    'mput','hasFactoryValue','quarter','isjava','horzcat','getMockHistory','dbstop','feval','interp3','uidropdown',
    'imagesc','mat2cell','caldiff','stop','mustBeNonnegative','add','interp1','cellfun','ind2rgb','addShortcut',
    'fprintf','rgb2hsv','calquarters','gcmr','pascal','Inf','audiowrite','strjoin','convexHull','mink','calyears',
    'int16','removeToolbarExplorationButtons','uigauge','scatter3','istril','matchpairs','fileattrib','ismultigraph',
    'rad2deg','timerfindall','thingSpeakWrite','im2frame','nthroot','rcond','plotmatrix','questdlg','addStartupFile',
    'func2str','isStringScalar','caxis','quad2d','padecoef','string','mustBeNonzero','pinv','isduration',
    'getframe','nnz','alphaSpectrum','gray','changeFields','runTestMethod','uint8','openfig','error','ceil',
    'barycentricToCartesian','cumsum','javaaddpath','acsc','cummax','applyFixture','thetalim','plot3','length',
    'nargoutchk','details','polyfit','isisomorphic','rmmissing','isa','addpref','tzoffset','webwrite','all',
    'array2table','istall','gamma','cummin','log','fileread','parquetread','repelem','removePath','rticks',
    'hasnext','exceltime','legendre','gettsafteratevent','num2cell','readFrame','real','erf','scatteredInterpolant',
    'plot','var','successors','textscan','faceNormal','uitree','getinterpmethod','squeeze','triu','what',
    'getabstime','uiprogressdlg','bessely','fminbnd','rmprop','fix','issortedrows','tail','createSoapMessage',
    'runTestClass','cscd','detectImportOptions','between','polyeig','userpath','mean','webread','not','gobjects',
    'close','sscanf','pointLocation','translate','functions','cell2table','union','rat','uitogglebutton',
    'eq','eigs','tallrng','freeBoundary','replaceBetween','dos','imread','rng','uigetdir','callSoapService',
    'strrep','incenter','addboundary','extractBefore','narginchk','startat','isequal','numel','alphaShape',
    'fgets','iqr','dateshift','categorical','uint16','sortregions','splitvars','symvar','cat','guide','inner2outer',
    'scatter','uitable','bounds','imtile','acot','isvalid','rmedge','ismatrix','audioinfo','uislider','xcorr',
    'autumn','struct2table','createTestMethodInstance','addFields','uisave','rmpref','polarscatter','acosd',
    'day','flipedge','biconncomp','innerjoin','thetaticklabels','realsqrt','retime','dialog','uitreenode',
    'mustBeGreaterThanOrEqual','parseSoapResponse','sinh','untar','setvaropts','and','hours','gettsbeforeatevent',
    'copyfile','logm','grid','groupcounts','javaMethodEDT','move','ne','interp2','datenum','runTest','isdir',
    'toolboxdir','isscalar','ode15s','issymmetric','xline','csch','geobubble','updateDependencies','isLoaded',
    'removecats','sgtitle','events','invoke','timerange','ldivide','conv','remove','reshape','strings','minute',
    'fplot3','pol2cart','single','fminsearch','addpoints','flip','isenum','xlswrite','acotd','writetimetable',
    'blanks','xor','opengl','atand','setParameter','fzero','mapreduce','bitor','tall','sum','bitshift','cell',
    'eye','regions','loadlibrary','inShape','javaclasspath','spconvert','ndgrid','fliplr','getpoints','bvp5c',
    'resample','countEachLabel','cross','read','randi','weboptions','strncmp','findnode','parula','runperf',
    'factorial','strip','createTestClassInstance','print','mustBeNonpositive','asec','join','delimitedTextImportOptions',
    'rosser','display','uplus','flipud','axtoolbar','cumtrapz','linspace','conv2','ctranspose','frame2im',
    'bar','get','nargin','isaUnderlying','heatmap','colorbar','panInteraction','actxcontrol','countcats',
    'bitxor','expm','isrecording','mustBePositive','isnat','sort','reverse','animatedline','isdiag','bitnot',
    'NaN','enableDefaultInteractivity','unregisterallevents','coth','ginput','topkrows','setpref','mldivide',
    'decomposition','getappdata','int32','calweeks','uiimage','seconds','istable','setvartype','getNumInputs',
    'xmlread','createCategory','categories','subsref','assert','full','errordlg','propedit','days','movmean',
    'frewind','builtin','integral','rmpath','imageDatastore','eig','ndims','fileparts','view','addLabel',
    'nearestvertex','fgetl','addCorrection','profile','uistack','filter','isletter','renamecats','uipanel',
    'strtok','spreadsheetImportOptions','exp','removeShortcut','dfsearch','dlmwrite','readtable','waitfor',
    'xlim','removeStartupFile','any','erfcx','superclasses','uieditfield','synchronize','histogram','ordqz',
    'rref','addReference','roots','vander','warndlg','splitapply','orderfields','vertexAttachments','conj',
    'filloutliers','helpdlg','minutes','savefig','addproperty','uminus','fft2','uilistbox','memoize','image',
    'slice','vartype','isregular','rmfield','scale','selectIf','uicontextmenu','nargout','getqualitydesc',
    'standardizeMissing','fclose','rethrow','polarplot','isomorphism','getenv','echodemo','isKey','issorted',
    'ncread','num2ruler','gettsbeforeevent','istriu','lu','libfunctions','readtimetable','calllib','jsondecode',
    'isprotected','openDiskFile','calendarDuration','isInputDirectFeedthroughImpl','findgroups','log10','isplaying',
    'convertCharsToStrings','ishermitian','poly','removeReference','bitand','istimetable','underlyingValue',
    'repmat','send','reload','rdivide','convertStringsToChars','filter2','findEvent','sind','log2','ferror',
    'isordinal','mod','uiaxes','hasPersonalValue','mtimes','sech','rename','dbstatus','runTestSuite','fseek',
    'enumeration','regexp','hour','wordcloud','imresize','addts','fimplicit','area','uigridlayout','gunzip',
    'imfinfo','xcov','num2str','rgb2ind','more','power','lsqnonneg','hist','fixedWidthImportOptions','fftw',
    'count','dir','bandwidth','flintmax','lower','mode','chol','fewerbins','dlmread','readvars','month','mustBeLessThan',
    'mustBeNonNan','hasFrame','validateFunctionSignaturesJSON','parquetwrite','strcmpi','fwrite','isLocked',
    'smoothdata','uibutton','writeVideo','openvar','class','stem3','geodensityplot','iscategorical','sec',
    'rectangle','reportFinalizedResult','integral2','subtract','listRequiredFiles','gettsbetweenevents','tanh',
    'createLabel','grabcode','im2java','corrcoef','sph2cart','transclosure','reordercats','rulerPanInteraction',
    'maxk','boundingbox','ishole','uifigure','compose','isgraphics','preview','arrayfun','expand','polyval',
    'sign','numboundaries','outerjoin','setuniformtime','setinterpmethod','parquetDatastore','invhilb','computer',
    'toeplitz','binary','patch','sortboundaries','permute','linsolve','uilamp','winter','audioplayer','ischange',
    'uitab','hasdata','mkdir','strfind','deval','strsplit','delaunayTriangulation','clibRelease','timetable',
    'insertBefore','diff','withtol','polyint','pyargs','uidatepicker','contrast','erfc','setxor','isstring',
    'open','timezones','getfield','javachk','rtickangle','cd','find','pie','sqrt','cot','hsv','gradient',
    'runtests','acscd','dbstack','winqueryreg','stlread','iscellstr','lastwarn','atan2d','calmonths','getNumOutputs',
    'createSharedTestFixture','orient','sinpi','imwrite','outdegree','colormap','tan','convert','empty','numnodes',
    'maxflow','fmesh','bctree','license','stlwrite','airy','findedge','audioread','geobasemap','ode23tb',
    'daspect','isdst','Tiff','onFailure','surfaceArea','max','mustBeInteger','teardownSharedTestFixture',
    'teardownTestClass','cotd','colorcube','addFile','intersect','tcpclient','week','genpath','spreadsheetDatastore',
    'warning','width','second','addParameter','dot','mlintrpt','contourslice','neighbors','polybuffer','trace',
    'double','addprop','csvwrite','teardownTestMethod','csc','labeledge','vertexNormal','setenv','edgeAttachments',
    'ode23s','web','clabel','rendererinfo','getFields','geotickformat','bitget','mget','ncdisp','sprintf',
    'munlock','centroid','char','isdag','volume','convertvars','eraseBetween','brighten','hms','appdesigner',
    'methods','digraph','regexptranslate','pbaspect','nonzeros','delsamplefromcollection','stairs','voronoiDiagram',
    'rlim','ellipke','rmholes','tar','pause','discretize','cellstr','splitlines','meshgrid','polaraxes','isinterface',
    'refreshSourceControl','shortestpath','movvar','sin','datevec','dissect','ifftn','geolimits','fplot',
    'overlaps','stack','fread','mustBeNumeric','alphaTriangulation','table','minspantree','urlwrite','deg2rad',
    'isnumeric','unregisterevent','bvpinit','rows2vars','findLabel','getdatasamples','int8','memmapfile',
    'export','cmpermute','movefile','edgecount','numsides','sortx','sorty','readimage','mustBeGreaterThan',
    'getaudiodata','histcounts','mexext','mpower','mustBeNonempty','ifft2','combine','lcm','fft','rot90',
    'transform','tempname','uiswitch','removeLabel','addedge','getProfiles','fscanf','getTimeStr','hypot',
    'gettimeseriesnames','MException','thingSpeakRead','std','le','jsonencode','geoscatter','csvread','sparse',
    'rmoutliers','ifftshift','imapprox','odextend','mustBeNonsparse','registerevent','nextpow2','text','acos',
    'griddatan','rtickformat','addPath','blkdiag','reordernodes','tscollection','accumarray','delegateTo',
    'isInterior','eps','regexpi','release','rank','tand','datetime','datetick','saveas','VideoWriter','addOptional',
    'min','predecessors','movmedian','struct2cell','cosd','time','cool','erfcinv','strlength','movmad','pchip',
    'checkcode','lines','soundsc','clearpoints','ismember','ode15i','inputdlg','addnode','show','setappdata',
    'ismembertol','extractAfter','axtoolbarbtn','perimeter','replaceFields','readcell','uimenu','nchoosek',
    'det','mergevars','collapse','int2str','export2wsdlg','optimset','VideoReader','sylvester','exist','rescale',
    'convertContainedStringsToChars','properties','rotate','round','xlabel','asin','equilibrate','uialert',
    'reset','isfile','keys','methodsview','ddensd','juliandate','movprod','thetatickformat','ver','prism',
    'iscom','histc','mislocked','addFolderIncludingChildFiles','getplayer','stats','ordschur','copper','iscategory',
    'polarhistogram','sortrows','cla','plus','perms','ls','removets','erase','normalize','cosh','bitset',
    'classUnderlying','ispref','javarmpath','struct','bone','ischar','guidata','milliseconds','condensation',
    'odeget','whos','uint32','cond','cos','logspace','size','rmslivers','isspace','addevent','removevars',
    'surf','isequaln','fillmissing','replace','addToolbarExplorationButtons','parse','histcounts2','insertAfter',
    'boundaryshape','libstruct','unstack','boundaryFacets','libisloaded','head','isfield','layout','nargchk',
    'stem','sqrtm','ss2tf','asind','convertLike','addsample','uilabel','NaT','parallelplot','legend','regionZoomInteraction',
    'assignin','rgb2gray','vecnorm','magic','rmnode','throwAsCaller','ellipj','readall','interpft','str2num',
    'removeFile','shuffle','cov','gettsatevent','mergecats','getClass','cart2sph','adjacency','decic','getnext',
    'uiconfirm','bsxfun','fftn','besselj','getFileFormats','uitextarea','shortestpathtree','removeFields',
    'residue','settimeseriesnames','movstd','inv','functiontests','title','isinteger','complex','strncmpi',
    'tabularTextDatastore','keepMeasuring','movmax','fieldnames','weekday','uitabgroup','lsqminnorm','transreduction',
    'getpref','isbetween','mapreducer','mrdivide','write','delevent','uicheckbox','getsampleusingtime','numRegions',
    'xlsread','javaArray','timeofday','griddedInterpolant','floor','addsampletocollection','gcd','importdata',
    'setdiff','readmatrix','summer','trapz','inpolygon','posixtime','binscatter','subgraph','partition','geoaxes',
    'isConnected','which','isbanded','contour','unzip','conncomp','values','audiodevinfo','getsamples','imshow',
    'setabstime','islocalmax','setupTestClass','polyvalm','mustBeReal','timeseries','angle','verLessThan',
    'rmdir','ppval','abs','spinmap','imformats','isfolder','openProject','triangulation','outedges','minus',
    'resume','addRequired','rand','graph','getReasonPhrase','norm','imag','primes','fimplicit3','waitbar',
    'logical','box','onCleanup','bvp4c','quit','orth','prod','movmin','highlight','besselk','timeit','removeCategory',
    'table2struct','vertcat','axes','javaMethod','deleteproperty','dither','besseli','disableDefaultInteractivity',
    'toposort','kron','uiradiobutton','clearTemporaryValue','isIllConditioned','who','startsWith','wilkinson',
    'wait','mustBeMember','nsidedpoly','uiopen','upper','varfun','geoplot','uicontrol','gsvd','randn','ones',
    'uispinner','median','islocalmin','mustBeFinite','factor','cart2pol','version','interpn','builddocsearchdb',
    'svds','start','clone','isempty','or','ode113','sound','circshift','strtrim','incidence','movegui','simplify',
    'disp','secd','setupSharedTestFixture','ode23t','degree','table2timetable','polyshape','ode45','delete',
    'testsuite','hsv2rgb','asecd','rem','ismissing','laplacian','subset','parquetinfo','hilb','strcat','array2timetable',
    'uisetfont','ncwrite','turningdist','xmlwrite','ge','morebins','delsample','xtickangle','ruler2num','alpha',
    'cumprod','idealfilter','mat2str','uniquetol','gtext','circumcenter','gettsafterevent','timetable2table',
    'regexprep','unix','str2double','ftell','feof','save','listModifiedFiles','removeParameter','null','datastore',
    'unmkpp','clearPersonalValue','mkpp','addParamValue','addvars','rowfun','fileDatastore','xtickformat',
    'celldisp','addpath','isweekend','line','runInParallel','edges','extractBetween','mustBeNegative','urlread',
    'usejava','validateattributes','listfonts','ylabel','ylim','yline','ymd','ytickangle','ytickformat','yticklabels',
    'yticks','yyaxis','yyyymmdd','zeros','zip','zlabel','zlim','zoom','zoomInteraction','ztickangle','ztickformat',
    'zticklabels','zticks']
STMTS1 = [
    'matlab.apputil.create','matlab.apputil.getInstalledAppInfo','matlab.engine.shareEngine','matlab.unittest.plugins.TAPPlugin.producingVersion13',
    'matlab.unittest.plugins.TAPPlugin.producingOriginalFormat','matlab.net.http.HeaderField.displaySubclasses',
    'matlab.unittest.plugins.TestReportPlugin.producingHTML','matlab.unittest.plugins.TestReportPlugin.producingPDF',
    'PublicPropertyComparator.supportingAllValues','matlab.unittest.plugins.TestReportPlugin.producingDOCX',
    'matlabshared.supportpkg.checkForUpdate','matlabshared.supportpkg.getInstalled',]
STMTS2 = [
    'dbstatus','enumeration','mlintrpt','startup','path','geoaxes','pwd','which','more','nargin','dbcont',
    'dbup','web','isvarname','optimset','dbdown','colorbar','dir','exist','rmdir','spinmap','imformats',
    'odeset','codeCompatibilityReport','munlock','pyversion','dbtype','groot','import','validateFunctionSignaturesJSON',
    'lookfor','ver','dbstop','appdesigner','methods','mex','break','global','box','keyboard','quit','guide',
    'pbaspect','home','hold','mlock','preferences','format','axes','grabcode','matlabrc','pause','cla','ls',
    'uisave','exit','unloadlibrary','ans','polaraxes','type','who','ones','timezones','uiopen','help','matlab','whos','diary',
    'clear','clc','fileattrib','copyfile','grid','doc','version','finish','profile','restoredefaultpath',
    'varargout','snapnow','seriallist','mkdir','dbquit','varargin','movefile','clearvars','xlim','upgradePreviouslyInstalledSupportPackages',
    'beep','clearAllMemoizedCaches','movegui','open','NaT','legend','edit','cd','pathtool','delete',
    'batchStartupOptionUsed','dbstack','exportsetupdlg','helpdlg','demo','uisetfont','persistent','orient',
    'docsearch','nargout','opengl','continue','echodemo','license','save','libfunctions','figure',
    'daspect','javaclasspath','regmatlabserver','warning','drawnow','what','winopen','rehash','libfunctionsview',
    'load','mapreducer','line','print','dbstep','dbclear','savepath','return','dbmex','userpath','ylim','ytickangle',
    'ytickformat','yticklabels','yticks','yyaxis','zeros','zoom','zoomInteraction','ztickangle','ztickformat',
    'zticklabels','zticks',]
EQSTMTS1 = [
    'containers.Map','matlab.addons.installedAddons','matlab.engine.isEngineShared','matlab.apputil.getInstalledAppInfo',
    'matlab.engine.engineName','matlab.addons.toolbox.installedToolboxes','matlab.net.base64decode','matlab.net.base64encode',
    'matlab.unittest.TestCase.forInteractiveUse','matlab.net.http.HeaderField.displaySubclasses','matlab.project.rootProject',
    'matlab.project.createProject','matlab.perftest.TimeExperiment.limitingSamplingError','matlabshared.supportpkg.getSupportPackageRoot',
    'matlab.wsdl.setWSDLToolPath','matlabshared.supportpkg.getInstalled','matlabshared.supportpkg.checkForUpdate',
    'mex.getCompilerConfigurations','MException.last','NET.isNETSupported','Tiff.getTag','Tiff.currentDirectory',
    'Tiff.computeStrip','Tiff.computeTile','Tiff.lastDirectory','Tiff.isTiled','Tiff.readRGBAImage','Tiff.numberOfStrips',
    'Tiff.readRGBATile','Tiff.readEncodedStrip','Tiff.readEncodedTile','Tiff.readRGBAStrip','Tiff.numberOfTiles',
    ]
EQSTMTS2 = [
    'lines','summer','analyzeCodeCompatibility','thetaticks','uplus','gobjects','currentProject','delimitedTextImportOptions',
    'missing','axtoolbar','pwd','ctranspose','uigridlayout','audiodevinfo','uitogglebutton','eq','power',
    'uimenu','tallrng','jet','optimset','fixedWidthImportOptions','flag','geotickformat','panInteraction',
    'pathsep','waitforbuttonpress','imformats','flintmax','pyversion','timerfind','rng','uigetdir',
    'groot','import','minus','animatedline','rand','graph','thetatickformat','NaN','uibutton','uidropdown',
    'prism','ginput','mislocked','namelengthmax','mldivide','digraph','pbaspect','filemarker','copper','gcmr',
    'uiimage','uitable','Inf','rlim','uislider','gettsbetweenevents','autumn','newline','plus','libpointer',
    'errordlg','uigetfile','uiradiobutton','thetaticklabels','rulerPanInteraction','uigauge','struct','bone',
    'axis','dialog','uifigure','uitreenode','isunix','uicontrol','geolimits','randn','rotateInteraction',
    'timerfindall','uispinner','computer','table','date','version','ispc','caxis','uilamp','ne','winter',
    'recycle','mexhost','uipanel','uitab','getframe','spreadsheetImportOptions','gray','j','uisetcolor','uiknob',
    'uidatepicker','gca','xlim','uiaxes','uilabel','uibuttongroup','beep','uieditfield','mtimes','settings',
    'regionZoomInteraction','rtickangle','thetalim','mexext','testsuite','mpower','warndlg','hsv','prefdir',
    'runtests','isstudent','pink','uminus','times','lastwarn','uilistbox','ldivide','orient','strings',
    'ge','tempname','spring','inputParser','matlabroot','uiswitch','xtickangle','uicontextmenu','filesep',
    'colormap','rticks','empty','le','pi','uitextarea','actxcontrolselect','transpose','geobasemap','dataTipInteraction',
    'daspect','eye','scatteredInterpolant','tempdir','rtickformat','javaclasspath','regmatlabserver','eps',
    'uitree','audiorecorder','getabstime','weboptions','uiputfile','function','xtickformat','datetime','parula',
    'uitabgroup','actxcontrollist','runperf','clock','mrdivide','ismac','now','colorcube','uicheckbox','localfunctions',
    'rticklabels','rdivide','cool','griddedInterpolant','genpath','gcf','rosser','warning','listfonts',]

def get_regexes(extended=False):
    fns = FNS2 if not extended else FNS1+FNS2
    reserved = ['for','if','else','false','true','while']
    stmts = list(set(STMTS2+EQSTMTS2+reserved)) if not extended else list(set(STMTS1+STMTS2+EQSTMTS1+EQSTMTS2+reserved))
    lst = [(fn+'()', re.compile(r'\W{:s}\('.format(fn)), re.compile(r'{:s}\s*='.format(fn))) for fn in fns]
    lst += [(stmt, re.compile(r'\W{:s}\W'.format(stmt)), re.compile(r'{:s}\s*='.format(stmt))) for stmt in stmts]
    specials = ['anon_at','ampersand','<','>','|','~']
    symbols = ['@','&','\<','\>','\|','~']
    return lst + [(spec, re.compile(r'{:s}'.format(symb)), None) for spec,symb in zip(specials, symbols)]
                